<?php

register_nna_alerts_dashlet();

function register_nna_alerts_dashlet() {

	$dashlet_opts = array(
        	DASHLET_NAME        => 'nna_alerts',
                DASHLET_TYPE        => DASHLET_TYPE_CORE,
                DASHLET_SERVER_TYPE => SERVER_TYPE_NNA,
                DASHLET_VERSION     => '1.0.0',
                DASHLET_DATE        => '11/29/2023',
                DASHLET_AUTHOR      => 'Nagios Enterprises',
                DASHLET_DESCRIPTION => _('Show the active alerts of all fused Nagios Network Analyzer servers.'),
                DASHLET_COPYRIGHT   => '©2023 Nagios Enterprises, LLC',
                DASHLET_HOMEPAGE    => 'www.nagios.com',
                DASHLET_LICENSE     => _('GPL v2'),
                DASHLET_PREVIEW     => get_dashlets_base_url() . 'nna_alerts/nna_alerts.png',
                DASHLET_LOAD_URL    => get_dashlets_base_url() . 'nna_alerts/nna_alerts.php',
                DASHLET_TITLE       => _('Network Analyzer Alerts'),
                DASHLET_PARAMS      => 'get_nna_alerts_dashlet_params',
                DASHLET_WIDTH       => 750,
	);

	register_dashlet($dashlet_opts);
}


function get_nna_alerts_dashlet_params() {
        $arr = get_dashlet_dependent_params(false, false, false, false, SERVER_TYPE_NNA);
        return $arr;
}


?>